package com.iformall.pay;

import lombok.Data;

/**
 * Created by Stormeye on 2018/11/7.
 * 普通商户模式
 */
@Data
public class WxMicroPayOrderP {
    private String appid;               // 小程序ID
    private String mch_id;              // 商户号
    private String device_info;         // 终端设备号 门店编号
    private String nonce_str;           // 随机字符串
    private String sign;                // 签名
    private String body;                // 商品简单描述 128
    private String out_trade_no;        // 商户订单号
    private Integer total_fee;          // 支付金额
    private String spbill_create_ip;    // 支付IP
    private String time_start;          // 开始时间
    private String time_expire;         // 失效时间
    private String auth_code;           // 扫码支付授权码

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WxMicroPayOrderP{");
        sb.append("appid='").append(appid).append('\'');
        sb.append(", mch_id='").append(mch_id).append('\'');
        sb.append(", device_info='").append(device_info).append('\'');
        sb.append(", nonce_str='").append(nonce_str).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append(", body='").append(body).append('\'');
        sb.append(", out_trade_no='").append(out_trade_no).append('\'');
        sb.append(", total_fee=").append(total_fee);
        sb.append(", spbill_create_ip='").append(spbill_create_ip).append('\'');
        sb.append(", time_start='").append(time_start).append('\'');
        sb.append(", time_expire='").append(time_expire).append('\'');
        sb.append(", auth_code='").append(auth_code).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
